
From: Jeff Dike <jdike@addtoit.com>

Remove an unnecessary and even dangerous check in is_syscall()
The bug was inserted by my patch syscall-security-1.

Signed-off-by: Bodo Stroesser <bstroesser@fujitsu-siemens.com>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/sys-i386/ptrace.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/um/sys-i386/ptrace.c~uml-dont-check-nr_syscalls arch/um/sys-i386/ptrace.c
--- 25/arch/um/sys-i386/ptrace.c~uml-dont-check-nr_syscalls	2004-11-04 20:41:42.127607040 -0800
+++ 25-akpm/arch/um/sys-i386/ptrace.c	2004-11-04 20:41:42.131606432 -0800
@@ -28,8 +28,8 @@ int is_syscall(unsigned long addr)
 		       addr);
 		return(0);
 	}
-	return( (instr == 0x80cd || instr == 0x340f) &&
-	        PT_REGS_EAX(&current->thread.regs) < NR_syscalls);
+	/* int 0x80 or sysenter */
+	return((instr == 0x80cd) || (instr == 0x340f));
 }
 
 /* determines which flags the user has access to. */
_
